ceod.ini(5)

# NAME

ceod.ini - configuration file for ceod

# SYNOPSIS

/etc/csc/ceod.ini

# DESCRIPTION

ceod.ini is an INI file with various sections which control the behaviour of ceod.

# DEFAULTS SECTION
	_base_domain_++
	The domain name of CSC. Should be set to 'csclub.uwaterloo.ca'.

# CEOD SECTION
	_admin_host_++
	The host with the ceod/admin Kerberos key.

	_fs_root_host_++
	The host without NFS root squashing.

	_database_host_++
	The host with the root password for MySQL and PostgreSQL.

	_mailman_host_++
	The host running Mailman.

	_use_https_++
	Whether to use HTTPS when connecting to ceod. Should be set to 'true'.

	_port_++
	The port on which ceod is listening.

# LDAP SECTION
	_admin_principal_++
	The Kerberos principal which ceod should use for *kadmin*(1).

	_server_url_++
	The primary CSC LDAP server URL.

	_sasl_realm_++
	The CSC SASL realm for LDAP. Should be 'CSCLUB.UWATERLOO.CA'.

	_users_base_++
	The LDAP OU where users are stored.

	_groups_base_++
	The LDAP OU where groups are stored.

	_sudo_base_++
	The LDAP OU where *sudo*(8) roles are stored.

# UWLDAP SECTION
	_server_url_++
	The UW LDAP server URL.

	_base_++
	The LDAP OU where users are stored in the UW LDAP.

# MEMBERS SECTION
	_min_id_++
	The minimum UID number for members.

	_max_id_++
	The maximum UID number for members.

	_home_++
	The directory in which new members' home directories should be created.

	_skel_++
	The skeleton directory for new members.

# CLUBS SECTION
	_min_id_++
	The minimum UID number for club accounts.

	_max_id_++
	The maximum UID number for club accounts.

	_home_++
	The directory in which new club accounts' home directories should be created.

	_skel_++
	The skeleton directory for new club accounts.

# MAIL SECTION
	_smtp_url_++
	The SMTP URL where ceod should send emails.

	_smtp_starttls_++
	Whether ceod should use STARTTLS with the SMTP server or not.

# MAILMAN3 SECTION
	_api_base_url_++
	The base URL of the Mailman 3 API.

	_api_username_++
	The username to use when authenticating to the Mailman 3 API via HTTP Basic Auth.

	_api_password_++
	The password to use when authenticating to the Mailman 3 API via HTTP Basic Auth.

	_new_member_list_++
	The mailing list to which new members should be subscribed.

# AUXILIARY GROUPS SECTION
	Each key in this section contains a comma-separated list of auxiliary groups to
	which members should be added when joining the primary group. For example,

	syscom = office,staff

	means that when someone joins the syscom group, they will also be added to the
	office and staff groups.

# AUXILIARY MAILING LISTS SECTION
	Each key in this section contains a comma-separated list of auxiliary mailing lists to
	which members should be subscribed when joining the primary group. For example,

	syscom = syscom,syscom-alerts

	means that when someone joins the syscom group, they will also be subscribed to the
	syscom and syscom-alerts mailing lists.

# POSITIONS SECTION
	_required_++
	A comma-separated list of executive positions which must be fulfilled.

	_available_++
	A comma-separated list of available executive positions.

# MYSQL SECTION
	_host_++
	The host where MySQL is running.

	_username_++
	The username to use when connecting to MySQL.

	_password_++
	The password to use when connecting to MySQL.

# POSTGRESQL SECTION
	_host_++
	The host where PostgreSQL is running.

	_username_++
	The username to use when connecting to PostgreSQL.

	_password_++
	The password to use when connecting to PostgreSQL.

# SEE ALSO
*ceo.ini*(5)

# AUTHORS
Max Erenberg <merenber@csclub.uwaterloo.ca>
